import request from '@/apps/mobile/utils/request'
// 分页查询招聘信息
export function queryPage(data) {
    return request({
        method: 'post',
        url: '/api/recruitmentInfos/query-page',
        data,
    });
}

//  新增
export function addData(data) {
    return request({
        method: 'post',
        url: '/api/recruitmentInfos/insert',
        data,
    });
}

// 获取公司列表
export function queryCompany(data) {
    return request({
        method: 'post',
        url: '/api/companys/query-page',
        data,
    });
}

// 查询所有维保公司
export function queryMaintenanceCompany(data) {
    return request({
        method: 'post',
        url: '/api/maintenanceCompanys/query-company-list',
        data,
    });
}

// 删除
export function removeData(data) {
    return request({
        method: 'delete',
        url: '/api/recruitmentInfos/delete-batch',
        data,
    });
}

// 编辑
export function editData(data) {
    return request({
        method: 'put',
        url: '/api/recruitmentInfos/update',
        data,
    });
}

// 批量启用
export function useBath(data) {
    return request({
        method: 'post',
        url: '/api/recruitmentInfos/useBath',
        data,
    });
}

// 批量关闭
export function nouseBath(data) {
    return request({
        method: 'post',
        url: '/api/recruitmentInfos/nouseBath',
        data,
    });
}

// 批量首页展示
export function showBath(data) {
    return request({
        method: 'post',
        url: '/api/recruitmentInfos/showBath',
        data,
    });
}

// 批量取消首页展示
export function noShowBath(data) {
    return request({
        method: 'post',
        url: '/api/recruitmentInfos/noshowBath',
        data,
    });
}

// 审批
export function examine(data) {
    return request({
        method: 'post',
        url: '/api/recruitmentInfos/examine',
        data,
    });
}